Bug 6610 - kickstart fails with anaconda exception
kickstart fails with anaconda exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-01 15:42 EST by Richard Warner
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-02 11:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Warner 1999-11-01 15:42:00 EST
I have a working RedHat 6.0 KickStart script.  With 6.1
it always fails with an Anaconda exception.  I have stripped
the Kickstart configuration down so the only keywords
are network, nfs, upgrade, and lilo and it still fails
in the same place.

The Exception error message is:

   Traceback (innermost last):

     File "/usr/bin/anaconda",
   line 224, in ?
       extraModules = extraModules)
     File
   "../../../RedHat/instimage/usr/lib
   /python1.5/site-packages/todo.py",
   line 454 in __init__
        self.setClass(instClass)
     File
   "../../../RedHat/instimage/usr/lib
   /python1.5/site-packages/todo.py",
   line 1281 in SetClass

Here is my ks.cfg file (works fine in 6.0):

lang en

network --bootproto static --ip 192.168.1.129 --netmask
255.255.192.0 --gateway
192.168.1.1 --nameserver 192.168.1.68

# eventually, we'll allow cdrom kickstarts
nfs --server mercury.resonate.com --dir /linux/i386

# keymap to use, same as keymap named in kbdconfig
keyboard us

#
# zerombr yes|no
#
# Should the install automatically zero the partition table
if it is corrupt?
#
zerombr yes
# --all   removes everything from ALL DRIVES
# --linux removes all linux native/swap from ALL DRIVES
#
clearpart --all

#
# part <mntpt> --size <size in megs> [--grow] [--maxsize
<size in megs>]
#
part / --size 1000
part swap --size 130

# this should be install or upgrade, defaults to 'install'
if omitted
install

# mouse types are: ps/2 mousesystems microsoft logitech
atibm logibm msbm
# the default device is right for busmice, /dev/cua0 for
serial mice, and
# can be overridden with "--device cua2"
# if three button emulation is needed, specify "--emulthree"
#
# this is just like /usr/sbin/mouseconfig
mouse genericps/2

# the timezone command takes the same args as
/usr/sbin/timeconfig
# see the timeconfig 2.0 man page for details
timezone --utc "US/Pacific"

# xconfiguration
#   Video card selection:
#       You can let it try to find you PCI card
automatically, OR
#       specify --card <cardtype> (see Xconfigurator --help
for list), OR
#       specify --server <servertype> (also see
Xconfigurator --help)
#
#   Monitor selection:
#       If none specified, assumes 640x480@60hz.
#       Otherwise, use --monitor <type>, see Xconfigurator
--help for list, OR
#       use --hsync <hsync> and --vsync <vsync>. For
example:
#          --hsync "31.5,35.5,50-65" --vsync "50-70"
#
#
xconfig --server SVGA --monitor "Sony CPD-200GS" --card
"Diamond Stealth64 Video 2001 series (2121/2201)"

# this root password goes over the network in the clear for
NFS kickstarts
# it's probably a good idea not to use the real root
password here
#
# if the password is already crypted (and suitable for
inclusion in
# /etc/passwd without further editing), use the iscrypted
flag. this
# should be used to prevent a cleartext root password from
going over
# the network
rootpw ShootMe4

auth --enablenis --nisdomain resonate-inc.com

# lilo install goesto mbr by default w/ no append line. you
can modify
# this as shown in the example
#    lilo --append "mem=128M" --location mbr
# the location is one of mbr (default), none, or partition
# this command is called 'silo' on the sparc, and doesn't
exist on the alpha

lilo --location mbr

# packges to# '@ component' may be used to include entire
components, redundant items
# are okay
%packages
@ Base
@ Printer Support
@ X Window System
@ Mail/WWW/News Tools
@ File Managers
@ Networked Workstation
@ Anonymous FTP Server
@ Web Server
@ C Development
@ Development Libraries
@ C++ Development
@ X Development
minicom
autofs
xosview

%postmv /home /home.orig
#
mkdir /mnt/fserver
mount -t nfs 192.168.1.3:/shared /mnt/fserver
cd /
tar xzf /mnt/fserver/linux/apache.tar.gz
#
rm -f /etc/rc.d/rc3.d/S13ypbind
rm -f /etc/rc.d/rc3.d/S80sendmail
ln -s /etc/rc.d/init.d/autofs /etc/rc.d/rc3.d/S74autofs
#
/root/newpass



# # remove home directory
Comment 1 Jay Turner 1999-11-02 11:32:59 EST
We made several changes to the format of the kickstart file between
6.0 and 6.1 and these are what you are seeing I expect.

First, lang should be "en_US" instead of "en".

You will need to download the new boot images from the
support.redhat.com/errata website in order for static addressing in
kickstart to work.

"File Managers" is not a component anymore; check the
/RedHat/base/comps file to determine which component the packages you
are looking for are now in.

All of the development components that you specify (C Development, C++
Development, etc.) are now in one component called "Development"

That should do it.  Try it out and reopen this bug if you are still
having problems.

Note You need to log in before you can comment on or make changes to this bug.